PUT/projects/api/v3/projects/budgets/{id}/tasklists/budgets.json

Adds or updates task list budgets depending on the

payload. If an ID is provided it is seen as an update, else it inserts. NOTE: the payload provided is the final source of truth, meaning any budgets omitted will be cleared.

Adds or updates task list budgets.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Body Params

BulkAddBudgetRequest structure hold information needed to add or update task list budgets along with request options

    • Name
      tasklistBudgets
      Type
      array
      Description
      Budget contains all the information returned from a budget.
    • Name
      tasklistBudgetsOptions
      Type
      object
      Description
      RequestOptions has options for events related to requests

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      BudgetsResponse contains information about a group of budgets.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Description
      404 Not Found No Data
    • Code
      409
      Type
      object
      Schema
      Description
      409 Conflict
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    BudgetsResponse
    {  "included": {    "companies": {      "additionalProp": {        "accounts": 0,        "addressOne": "string",        "addressTwo": "string",        "budgetDistribution": [          {            "color": "string",            "companyId": 0,            "count": 0,            "from": 0,            "to": 0          }        ],        "canSeePrivate": true,        "cid": "string",